Bug 447892

Summary: Text console only until first X server restart
Product: [Fedora] Fedora Reporter: Jan "Yenya" Kasprzak <kas>
Component: xorg-x11-drv-atiAssignee: Dave Airlie <airlied>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 9CC: xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-06-19 10:40:17 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Xorg.0.log
none
xorg.conf none

Description Jan "Yenya" Kasprzak 2008-05-22 07:28:27 EDT
Description of problem:
On my laptop (Asus M6R, ATi Radeon Mobility 9100IGP) switching to the text
console and back works only until I restart the X server. After the X server
restart, the Ctrl-Alt-F<n> shows only slightly garbled screen contents from the
X session, not the text console. The text console is apparently active, though:
I have been able to type in "root" and the password, and the new console session
has been visible in the "w" command output. Alt-F8 switches back to the graphics
session, which works without problem. My graphics card is the following
(according to lspci):

01:05.0 VGA compatible controller: ATI Technologies Inc RS300M AGP [Radeon
Mobility 9100IGP]

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.4.99.901-29.20080415.fc9.i386
xorg-x11-drv-ati-6.8.0-14.fc9.i386

How reproducible:
100 %

Steps to Reproduce:
1. Boot the system to the runlevel 5.
2. Press Ctrl-Alt-F1 to switch to the text console, Alt-F8 or whatever to get
back to the X session.
3. Press Ctrl-Alt-Backspace (or log in and log out) to restart the X server.
4. Press Ctrl-Alt-F1 to switch to the text console.
  
Actual results:
The text console is visible in step 2, garbled screen in graphics mode is
displayed in step 4.

Expected results:
The text console should be visible both in step 2 and step 4.

Additional info:
In fully updated Fedora 8 as of maybe two weeks ago it worked correctly.
I will attach my xorg.conf and Xorg.0.log.
Comment 1 Jan "Yenya" Kasprzak 2008-05-22 07:29:21 EDT
Created attachment 306363 [details]
Xorg.0.log
Comment 2 Jan "Yenya" Kasprzak 2008-05-22 07:30:00 EDT
Created attachment 306364 [details]
xorg.conf
Comment 3 Bug Zapper 2009-06-09 21:05:26 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jan "Yenya" Kasprzak 2009-06-19 06:41:05 EDT
The bug is not present in fully updated F10, as far as I can test it.
Comment 5 Matěj Cepl 2009-06-19 10:40:17 EDT
Glad to hear it! Closing then.